summaryrefslogtreecommitdiffstats
path: root/.local/bin/statusbar/iplocate
diff options
context:
space:
mode:
authorLuke Smith <luke@lukesmith.xyz>2019-05-18 00:07:32 -0400
committerLuke Smith <luke@lukesmith.xyz>2019-05-18 00:07:32 -0400
commit54920103c2843f5a3620effbccaceaee7f6885c1 (patch)
tree222aa8e75573364cd043382996f4798d94104f65 /.local/bin/statusbar/iplocate
parent18e001db07d7105ab4dc4f4f836ca0d3a516a791 (diff)
downloadeibhear-54920103c2843f5a3620effbccaceaee7f6885c1.tar.gz
eibhear-54920103c2843f5a3620effbccaceaee7f6885c1.tar.zst
eibhear-54920103c2843f5a3620effbccaceaee7f6885c1.zip
scripts moved to ~/.local/bin
Diffstat (limited to '.local/bin/statusbar/iplocate')
-rwxr-xr-x.local/bin/statusbar/iplocate9
1 files changed, 9 insertions, 0 deletions
diff --git a/.local/bin/statusbar/iplocate b/.local/bin/statusbar/iplocate
new file mode 100755
index 0000000..4ca4f10
--- /dev/null
+++ b/.local/bin/statusbar/iplocate
@@ -0,0 +1,9 @@
+#!/bin/sh
+
+# Gets your public ip address checks which country you are in and
+# displays that information in the statusbar
+#
+# https://www.maketecheasier.com/ip-address-geolocation-lookups-linux/
+ifinstalled "geoiplookup" || exit
+addr="$(curl ifconfig.me 2>/dev/null)" || exit
+grep "flag: " ~/.config/emoji | grep "$(geoiplookup $addr | sed 's/.*, //')" | sed "s/flag: //;s/;.*//"